# Multijobs

> For servers using **multi job scripts** who wants to avoid players from losing their permissions, you need to go to **av\_business/server/editable/job.lua** and do the following modifications:

{% tabs %}
{% tab title="qb/qbx" %}

* No code edits needed.
  {% endtab %}

{% tab title="esx" %}

* Remove from line 32-42, should look something like this:

```lua
RegisterNetEvent("esx:setJob", function(source,job)
    local src = source
    if src and job then
        local jobName = job.name
        local identifier = exports['av_laptop']:getIdentifier(src)
        if allBusiness[jobName] then
            allBusiness[jobName]['employees'] = allBusiness[jobName]['employees'] or {}
            if not allBusiness[jobName]['employees'][identifier] then
                allBusiness[jobName]['employees'][identifier] = {
                    identifier = identifier,
                    name = exports["av_laptop"]:getName(src),
                    image = "",
                    phone = "",
                    generated = 0,
                    lastSeen = "",
                    hours = 0,
                    permissions = {}
                }
                save("business")
            end
        end
        exports['av_laptop']:savePlayer(src)
    end
end)
```

{% endtab %}
{% endtabs %}

* You can also find the following functions:
  * **playerHired(playerId, job):** Triggered when a player gets hired thru the business app.
  * **playerFired(playerId, job):** Triggered when an online player gets fired thru the business app.
  * **playerFiredOffline(identifier, job):** Triggered when an offline player gets fired thru the business app.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.av-scripts.com/laptop-pack-v3/business/multijobs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
